XnModuleAntiFlickerInterface Struct Reference

`#include <XnModuleInterface.h>`

## Public Attributes

XnStatus(* | SetPowerLineFrequency )(XnModuleNodeHandle hGenerator, XnPowerLineFrequency nFrequency)
XnPowerLineFrequency(* | GetPowerLineFrequency )(XnModuleNodeHandle hGenerator)
XnStatus(* | RegisterToPowerLineFrequencyChange )(XnModuleNodeHandle hGenerator, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterFromPowerLineFrequencyChange )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

## Member Data Documentation

## GetPowerLineFrequency

XnPowerLineFrequency(* XnModuleAntiFlickerInterface::GetPowerLineFrequency) (XnModuleNodeHandle hGenerator)

Gets the power line frequency.

Parameters

  hGenerator | [in] A handle to the instance.

## RegisterToPowerLineFrequencyChange

XnStatus(* XnModuleAntiFlickerInterface::RegisterToPowerLineFrequencyChange) (XnModuleNodeHandle hGenerator, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)

Registers a callback function to power line frequency changes.

Parameters

  hGenerator | [in] A handle to the instance.
  handler | [in] A pointer to a function that will be called when power line frequency changes.
  pCookie | [in] A user cookie that will be passed to the callback function.
  phCallback | [out] Optional. Will be filled with a handle to be passed to UnregisterFromPowerLineFrequencyChange().

## SetPowerLineFrequency

XnStatus(* XnModuleAntiFlickerInterface::SetPowerLineFrequency) (XnModuleNodeHandle hGenerator, XnPowerLineFrequency nFrequency)

Sets the power line frequency: 50 Hz, 60 Hz, or 0 to turn off anti-flicker.

Parameters

  hGenerator | [in] A handle to the instance.
  nFrequency | [in] The frequency to be used.

## UnregisterFromPowerLineFrequencyChange

void(* XnModuleAntiFlickerInterface::UnregisterFromPowerLineFrequencyChange) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

Unregisters a callback function which was registered using RegisterToPowerLineFrequencyChange().

Parameters

  hGenerator | [in] A handle to the instance.
  hCallback | [in] The handle to the callback returned from RegisterToPowerLineFrequencyChange().

The documentation for this struct was generated from the following file:

- XnModuleInterface.h